[arch-commits] CVS update of extra/lib/libnova (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 06:50:06 EST 2007


    Date: Friday, December 7, 2007 @ 06:50:06
  Author: tpowa
    Path: /home/cvs-extra/extra/lib/libnova

   Added: PKGBUILD (1.1)

'newpkg: will be a depend of new kde4'


----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)


Index: extra/lib/libnova/PKGBUILD
diff -u /dev/null extra/lib/libnova/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 06:50:06 2007
+++ extra/lib/libnova/PKGBUILD	Fri Dec  7 06:50:05 2007
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 11:50:05 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=libnova
+pkgver=0.12.1
+pkgrel=1
+pkgdesc="libnova is a general purpose, double precision, celestial mechanics, astrometry and astrodynamics library."
+url="http://libnova.sourceforge.net/"
+license=('GPL2')
+arch=('i686' 'x86_64')
+depends=()
+makedepends=('pkgconfig')
+source=(http://switch.dl.sourceforge.net/sourceforge/libnova/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+        cd $startdir/src/$pkgname-$pkgver
+         ./configure --prefix=/usr
+        make || return 1
+        make DESTDIR=$startdir/pkg install
+}
+md5sums=('f0bffb2eb0bfa041e4c4d9764aadd94d')




More information about the arch-commits mailing list